
Installer - Feature #35629

Default Apache to use system ciphers via PROFILE=system

10/13/2022 12:22 PM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: foreman-installer script   

Target version:    

Difficulty:  Fixed in Releases: 3.5.0

Triaged: Yes Found in Releases:  

Bugzilla link: 2134436 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/814,

https://github.com/theforeman/foreman-i

nstaller/pull/817,

https://github.com/theforeman/foreman-i

nstaller/pull/816,

https://github.com/theforeman/foreman-i

nstaller/pull/818

  

Description

At least on EL8 it's possible to use PROFILE=system for SSLCipherSuite and SSLProxyCipherSuite. This allows admins to configure

the cipher suite on a system level and it also means we don't have to keep our cipher suite up to date.

Associated revisions

Revision 8472875d - 10/24/2022 04:26 PM - Ewoud Kohl van Wijngaarden

Fixes #35629 - Default Apache to PROFILE=system ciphers

At least on EL8 it's possible to use PROFILE=system for SSLCipherSuite

and SSLProxyCipherSuite. This allows admins to configure the cipher

suite on a system level and it also means we don't have to keep our

cipher suite up to date.

Today SSLProxyCipherSuite is not yet an option, but Hiera will ignore

unknown keys. When the option becomes available, it will be set.

Revision 7e35242e - 10/26/2022 04:17 PM - Ewoud Kohl van Wijngaarden

Refs #35629 - Use the correct cipher profile

Fixes: 8472875da9a6b94c8c5dd3696d697e671934afc1

Revision 899eea85 - 10/28/2022 01:31 PM - Ewoud Kohl van Wijngaarden

Refs #35629 - Use built in Apache defaults on EL

Currently unreleased, but puppetlabs/apache will respect the EL8

defaults. It follows the system level configuration for TLS protocols,

which out of the box is TLSv1.2 & TLSv1.3.

It still keeps stricter security on Debian since there the default still

allows TLSv1.1 and some sub-optimal ciphers.

Revision ed50daee - 10/28/2022 02:36 PM - Ewoud Kohl van Wijngaarden

Refs #35629 - Switch back to puppetlabs/apache releases

8.3.0 was released with the features we need.

History

#1 - 10/13/2022 12:24 PM - The Foreman Bot

- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-installer/pull/814 added

#2 - 10/13/2022 12:29 PM - Ewoud Kohl van Wijngaarden

- Bugzilla link set to 2134436

#3 - 10/24/2022 04:26 PM - The Foreman Bot

- Fixed in Releases 3.5.0 added

#4 - 10/24/2022 05:01 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset installer|8472875da9a6b94c8c5dd3696d697e671934afc1.

#5 - 10/26/2022 04:18 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/816 added

#6 - 10/28/2022 11:27 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/817 added

#7 - 10/28/2022 02:37 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/818 added

#8 - 11/28/2022 12:18 PM - Ewoud Kohl van Wijngaarden

- Category set to foreman-installer script

- Triaged changed from No to Yes
